Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox.swing
Class CustomDialog

    java.lang.Object
      com.lowagie.toolbox.swing.CustomDialog

    public class CustomDialog

extends Object

Since:
  2.1.1 (imported from itexttoolbox project)

Field Summary
`(package private) Object[]` | `array`
`(package private) JDialog` | `dialog`
`(package private) JPanel` | `jPanel1`
`(package private) String` | `msgString1`
`private JOptionPane` | `optionPane`
`(package private) PlainDocument` | `plainDocument`
`private JTextField` | `textField`

Constructor Summary
`CustomDialog()`
`CustomDialog(String msgstring, PlainDocument plainDocument)`

Method Summary
`static PlainDocument` | `instantiateFloatDocument()`
`static PlainDocument` | `instantiateIntegerDocument()`
`static PlainDocument` | `instantiateStringDocument()`
`private void` | `jbInit()`
`void` | `setMsgString1(String msgString1)`
`String` | `showInputDialog(String startvalue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dialog

    JDialog dialog

### textField

    private JTextField textField

### jPanel1

    JPanel jPanel1

### plainDocument

    PlainDocument plainDocument

### msgString1

    String msgString1

### array

    Object[] array

### optionPane

    private JOptionPane optionPane

Constructor Detail

### CustomDialog

    public CustomDialog(String msgstring,
                        PlainDocument plainDocument)

### CustomDialog

    public CustomDialog()

Method Detail

### jbInit

    private void jbInit()
                 throws Exception

  Throws:
    `Exception`

### instantiateFloatDocument

    public static PlainDocument instantiateFloatDocument()

### instantiateIntegerDocument

    public static PlainDocument instantiateIntegerDocument()

### instantiateStringDocument

    public static PlainDocument instantiateStringDocument()

### setMsgString1

    public void setMsgString1(String msgString1)

### showInputDialog

    public String showInputDialog(String startvalue)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD